summaryrefslogtreecommitdiffstats
path: root/perl/perl-xml-twig/perl-xml-twig.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-xml-twig/perl-xml-twig.SlackBuild')
-rw-r--r--perl/perl-xml-twig/perl-xml-twig.SlackBuild27
1 files changed, 7 insertions, 20 deletions
diff --git a/perl/perl-xml-twig/perl-xml-twig.SlackBuild b/perl/perl-xml-twig/perl-xml-twig.SlackBuild
index a6b0936e4c..d52dcb8f77 100644
--- a/perl/perl-xml-twig/perl-xml-twig.SlackBuild
+++ b/perl/perl-xml-twig/perl-xml-twig.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-xml-twig
-# Copyright 2008-2010 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2008-2012 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,18 +23,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-xml-twig
-VERSION=3.38
+VERSION=3.39
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
SRCNAM=XML-Twig
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -60,26 +58,15 @@ perl Makefile.PL -y INSTALLDIRS=vendor
make
make install DESTDIR=$PKG
-#Move man-pages to appropriate place
mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Remove perlocal.pod and .packlist from $PKG
-( for i in perllocal.pod .packlist; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-)
-
-# Remove empty directories
-find $PKG -depth -type d -empty -exec rm -rf {} \;
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changes README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install